export default class Item {
  constructor(summary) {
    this.addToTree = this.addToTree.bind(this);
    this.handleRemoveFromList = this.handleRemoveFromList.bind(this);
    this.summary = summary;
  }

  addToTree(list,onDelete) {
    
    this.onDelete = onDelete;
    this.listItem = document.createElement("li");
    let delButton = document.createElement("button");
    delButton.addEventListener("click",this.handleRemoveFromList);
    delButton.textContent = "Löschen";
    this.listItem.textContent = this.summary;
    this.listItem.append(delButton); 
    list.append(this.listItem);

  }

  handleRemoveFromList()
  {
      this.listItem.remove();
      this.onDelete(this);
  }

}
